## relational 0.9

=== Makefile ===
default:
	echo "sorry, no default action"

source: clean
	rm -rf /tmp/relational/
	mkdir /tmp/relational/
	cp -R * /tmp/relational/
	rm -rf /tmp/relational/samples/.svn/ /tmp/relational/debscript/.svn/ /tmp/relational/mac/.svn/ /tmp/relational/relational/.svn/ /tmp/relational/relational_gui/.svn/ /tmp/relational/mac /tmp/relational/debscript/
	echo "cd /tmp ; tar -jcvvf relational.tar.bz relational/" | bash
	mv /tmp/relational.tar.bz ./relational_`./relational_gui.py -v`.tar.bz

source_all: clean
	rm -rf /tmp/relational/
	mkdir /tmp/relational/
	cp -R * /tmp/relational/
	echo "cd /tmp ; tar -jcvvf relational.tar.bz relational/" | bash
	mv /tmp/relational.tar.bz ./relational_`./relational_gui.py -v`.tar.bz

clean:
	rm -rf *~ || echo ok
	rm -rf *.pyc *.pyo || echo ok
	rm -rf Relational.app || echo ok
	rm relational*.tar.gz || echo ok
	rm -rf relational_mac
	rm -rf data || echo ok
	rm -rf *tar.bz || echo ok
	rm -rf *.deb || echo ok
	rm -rf relational/*~ || echo ok
	rm -rf relational/*.pyc *.pyo || echo ok
	rm -rf relational_gui/*~ || echo ok
	rm -rf relational_gui/*.pyc *.pyo || echo ok
	rm -rf relational_mac
mac: app
	mkdir relational_mac || echo Exists
	mv Relational.app relational_mac
	mkdir relational_mac/samples || echo Exists
	cp samples/*csv relational_mac/samples
	tar -zcvvf relational_`./relational_gui.py -v`.tar.gz relational_mac/
	rm -rf relational_mac
app:
	mkdir -p Relational.app/Contents/Resources || echo Exists
	cp *py Relational.app/Contents/Resources
	mkdir -p Relational.app/Contents/Resources/relational || echo Exists
	cp  relational/*py Relational.app/Contents/Resources/relational
	mkdir -p Relational.app/Contents/Resources/relational_gui || echo Exists
	cp relational_gui/*py Relational.app/Contents/Resources/relational_gui
	cp mac/Info.plist mac/PkgInfo Relational.app/Contents
	mkdir -p Relational.app/Contents/MacOS || echo Exists
	cp mac/relational_gui mac/Python Relational.app/Contents/MacOS
	cp mac/PythonApplet.icns mac/__argvemulator_relational_gui.py Relational.app/Contents/Resources/

debian:    
	#Python files
	mkdir -p data/usr/share/python-support/relational/
	mkdir -p data/usr/share/python-support/relational/relational_gui
	mkdir -p data/usr/share/python-support/relational/relational
	cp *py data/usr/share/python-support/relational/
	cp relational/*py data/usr/share/python-support/relational/relational/
	cp relational_gui/*py data/usr/share/python-support/relational/relational_gui
	#man
	mkdir -p data/usr/share/man/man1
	cp relational.1 data/usr/share/man/man1
	gzip --best data/usr/share/man/man1/relational.1
	#doc
	mkdir -p data/usr/share/doc/relational
	echo "Copyright (C) 2008  Salvo "LtWorf" Tomaselli" >> data/usr/share/doc/relational/copyright
	echo "" >> data/usr/share/doc/relational/copyright
	echo "License:" >> data/usr/share/doc/relational/copyright
	echo "This program is under the GPLv3 license" >> data/usr/share/doc/relational/copyright
	cp CHANGELOG data/usr/share/doc/relational/changelog
	echo "relational ("`./relational_gui.py -v | cut -d. -f1`":"`./relational_gui.py -v`+SVN`svn update | cut -d" " -f3 | tr -d "."`") unstable; urgency=low" >> data/usr/share/doc/relational/changelog.Debian
	echo "" >> data/usr/share/doc/relational/changelog.Debian
	echo "  * Automatically generated package, see changelog.gz" >> data/usr/share/doc/relational/changelog.Debian
	echo "" >> data/usr/share/doc/relational/changelog.Debian
	echo " -- Make <make@make.org>  Fri, 10 Oct 2008 19:18:35 +0200">> data/usr/share/doc/relational/changelog.Debian
	gzip --best data/usr/share/doc/relational/changelog.Debian
	gzip --best data/usr/share/doc/relational/changelog
	cp -r samples data/usr/share/doc/relational/examples
	rm -rf data/usr/share/doc/relational/examples/.svn
	#start script
	mkdir -p data/usr/bin
	cp debscript/relational data/usr/bin/relational
	chmod a+x data/usr/bin/relational
	#desktop file
	mkdir -p data/usr/share/applications/
	cp debscript/relational.desktop data/usr/share/applications/
	mkdir -p data/DEBIAN
	#package description
	debscript/gencontrol.sh > data/DEBIAN/control
	#cp debscript/rules data/DEBIAN
	#Postrm file to remove optimized generated python files
	cp debscript/prerm data/DEBIAN/prerm
	cp debscript/postinst data/DEBIAN/postinst
	chmod 0755 data/DEBIAN/prerm data/DEBIAN/postinst
	su -c "chown -R root:root data/*; dpkg -b data/ relational.deb; rm -rf data/"
	cp relational.deb relational_`./relational_gui.py -v`+SVN`svn update | cut -d" " -f3 | tr -d "."`.deb
	rm -f relational.deb

## relational 0.10

=== Makefile ===
--- 
+++ 
@@ -1,11 +1,27 @@
 default:
 	echo "sorry, no default action"
+
+uninstall:
+	rm -rf /opt/relational
+	rm -f /usr/local/bin/relational
+	rm -f /usr/share/applications/relational.desktop
+
+install:
+	mkdir /opt/relational
+	cp -R relational relational_gui /opt/relational/
+	cp relational_gui.py /opt/relational
+	chmod -R 555 /opt/relational/
+	echo "#!/bin/bash" > /usr/local/bin/relational
+	echo "/opt/relational/relational_gui.py" >> /usr/local/bin/relational
+	chmod 555 /usr/local/bin/relational
+	cp relational.desktop /usr/share/applications/
+	chmod a+r /usr/share/applications/relational.desktop
 
 source: clean
 	rm -rf /tmp/relational/
 	mkdir /tmp/relational/
 	cp -R * /tmp/relational/
-	rm -rf /tmp/relational/samples/.svn/ /tmp/relational/debscript/.svn/ /tmp/relational/mac/.svn/ /tmp/relational/relational/.svn/ /tmp/relational/relational_gui/.svn/ /tmp/relational/mac /tmp/relational/debscript/
+	rm -rf /tmp/relational/windows /tmp/relational/samples/.svn/ /tmp/relational/debscript/.svn/ /tmp/relational/mac/.svn/ /tmp/relational/relational/.svn/ /tmp/relational/relational_gui/.svn/ /tmp/relational/mac /tmp/relational/debscript/
 	echo "cd /tmp ; tar -jcvvf relational.tar.bz relational/" | bash
 	mv /tmp/relational.tar.bz ./relational_`./relational_gui.py -v`.tar.bz
 
@@ -83,7 +99,7 @@
 	chmod a+x data/usr/bin/relational
 	#desktop file
 	mkdir -p data/usr/share/applications/
-	cp debscript/relational.desktop data/usr/share/applications/
+	cp relational.desktop data/usr/share/applications/
 	mkdir -p data/DEBIAN
 	#package description
 	debscript/gencontrol.sh > data/DEBIAN/control

=== debian/changelog ===
relational (0.10-2) unstable; urgency=low

  * Set section to 'math', not Python.
  * Remove architecture qualifier in Suggests; it applies to the current
    package (which is Architecture: all), not the specified package. (Closes:
    #583064)
  * Switch to dpkg "3.0 (quilt)" source format.
  * Add Build-Depends on python to appease lintian.
  * Bump Standards-Version to 3.8.4.

 -- Chris Lamb <lamby@debian.org>  Tue, 01 Jun 2010 11:35:05 +0100

relational (0.10-1) unstable; urgency=low

  * New upstream release (Closes: #536684)
  * Install .desktop file. (Closes: #522045)
  * Also override override_dh_auto_install so we don't run upstream's Makefile.
  * Bump Standards-Version to 3.8.2.
  * Add python-psyco to Suggests on i386.

 -- Chris Lamb <lamby@debian.org>  Sun, 12 Jul 2009 21:21:22 +0100

relational (0.9-2) unstable; urgency=low

  * Use two setup.py files instead of installing relational_gui into
    python-relational; although we don't ship the entry point in this package,
    it is preferable that the code resides in package that has the required
    Depends.
  * Don't use find_packages() in setup.py files.
  * Use distutils instead of setuptools.
  * Only ship examples in 'relational' package.
  * Bump Standards-Version to 3.8.1.

 -- Chris Lamb <lamby@debian.org>  Sun, 22 Mar 2009 02:46:00 +0000

relational (0.9-1) unstable; urgency=low

  * Initial release. (Closes: #506770)

 -- Chris Lamb <lamby@debian.org>  Sun, 08 Mar 2009 15:29:09 +0000

=== debian/control ===
Source: relational
Section: math
Priority: optional
Maintainer: Chris Lamb <lamby@debian.org>
Build-Depends: debhelper (>= 7.0.50), python, python-support
Standards-Version: 3.8.4
Vcs-Git: git://git.chris-lamb.co.uk/debian/pkg-relational.git
Vcs-Browser: http://git.chris-lamb.co.uk/?p=debian/pkg-relational.git
Homepage: http://galileo.dmi.unict.it/wiki/relational/doku.php

Package: python-relational
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Suggests: python-psyco
Description: Educational tool for relational algebra (standalone module)
 Relational is primarily a graphical user interface to provide a workspace
 for experimenting with relational algebra, an offshoot of first-order logic.
 .
 This package provides a standalone Python module that can be used for
 executing relational queries.

Package: relational
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-relational (= ${binary:Version}), python-qt4
Description: Educational tool for relational algebra (graphical user interface)
 Relational is primarily a graphical user interface to provide a workspace
 for experimenting with relational algebra, an offshoot of first-order logic.
 .
 This package provides a graphical user interface that can be used for 
 executing relational queries.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

clean:
	rm -rf build *.egg-info
	dh $@

override_dh_auto_clean:
override_dh_auto_build:
override_dh_auto_install:

override_dh_install:
	set -ex; for pkg in python-relational relational; do \
	  python debian/$${pkg}.setup.py install --root=$(CURDIR)/debian/$${pkg}; \
	  rm -rf build; \
	done
	install -D relational_gui.py debian/relational/usr/bin/relational
	dh_install

## relational 0.11

=== Makefile ===
--- 
+++ 
@@ -21,16 +21,9 @@
 	rm -rf /tmp/relational/
 	mkdir /tmp/relational/
 	cp -R * /tmp/relational/
-	rm -rf /tmp/relational/windows /tmp/relational/samples/.svn/ /tmp/relational/debscript/.svn/ /tmp/relational/mac/.svn/ /tmp/relational/relational/.svn/ /tmp/relational/relational_gui/.svn/ /tmp/relational/mac /tmp/relational/debscript/
-	echo "cd /tmp ; tar -jcvvf relational.tar.bz relational/" | bash
-	mv /tmp/relational.tar.bz ./relational_`./relational_gui.py -v`.tar.bz
-
-source_all: clean
-	rm -rf /tmp/relational/
-	mkdir /tmp/relational/
-	cp -R * /tmp/relational/
-	echo "cd /tmp ; tar -jcvvf relational.tar.bz relational/" | bash
-	mv /tmp/relational.tar.bz ./relational_`./relational_gui.py -v`.tar.bz
+	rm -rf /tmp/relational/windows /tmp/relational/samples/.svn/ /tmp/relational/debscript/.svn/ /tmp/relational/mac/.svn/ /tmp/relational/relational/.svn/ /tmp/relational/relational_gui/.svn/ /tmp/relational/mac /tmp/relational/debscript/ /tmp/relational/relational_curses/.svn/ /tmp/relational/relational_readline/.svn/
+	echo "cd /tmp ; tar -zcvvf relational.tar.gz relational/" | bash
+	mv /tmp/relational.tar.gz ./relational_`./relational_gui.py -v | grep Relational | cut -d" " -f2`.tar.gz
 
 clean:
 	rm -rf *~ || echo ok
@@ -51,7 +44,7 @@
 	mv Relational.app relational_mac
 	mkdir relational_mac/samples || echo Exists
 	cp samples/*csv relational_mac/samples
-	tar -zcvvf relational_`./relational_gui.py -v`.tar.gz relational_mac/
+	tar -zcvvf relational_`./relational_gui.py -v | grep Relational | cut -d" " -f2`.tar.gz relational_mac/
 	rm -rf relational_mac
 app:
 	mkdir -p Relational.app/Contents/Resources || echo Exists
@@ -99,7 +92,7 @@
 	chmod a+x data/usr/bin/relational
 	#desktop file
 	mkdir -p data/usr/share/applications/
-	cp relational.desktop data/usr/share/applications/
+	cp debscript/relational.desktop data/usr/share/applications/
 	mkdir -p data/DEBIAN
 	#package description
 	debscript/gencontrol.sh > data/DEBIAN/control
@@ -108,6 +101,8 @@
 	cp debscript/prerm data/DEBIAN/prerm
 	cp debscript/postinst data/DEBIAN/postinst
 	chmod 0755 data/DEBIAN/prerm data/DEBIAN/postinst
-	su -c "chown -R root:root data/*; dpkg -b data/ relational.deb; rm -rf data/"
+	fakeroot -- chown -R root:root data/*
+	fakeroot -- dpkg -b data/ relational.deb
+	fakeroot -- rm -rf data/
 	cp relational.deb relational_`./relational_gui.py -v`+SVN`svn update | cut -d" " -f3 | tr -d "."`.deb
 	rm -f relational.deb

=== debian/changelog ===
relational (0.11-2) unstable; urgency=low

  * New package relational-cli
  * Creates menu entry for relational 
  * Ships examples with the python-relational package
  * Links examples from python-relational into /usr/share/doc/relational and
    /usr/share/doc/relational-cli
  * New maintainer (Closes: #590780)

 -- Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>  Wed, 04 Aug 2010 16:50:10 +0200

relational (0.11-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.9.1.

 -- Chris Lamb <lamby@debian.org>  Sun, 01 Aug 2010 23:50:50 -0400

=== debian/control ===
Source: relational
Section: math
Priority: optional
Maintainer: Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>
Build-Depends: debhelper (>= 7.0.50~), python, python-support
Standards-Version: 3.9.1
Homepage: http://galileo.dmi.unict.it/wiki/relational/doku.php

Package: python-relational
Architecture: all
Section: python
Depends: ${misc:Depends}, ${python:Depends}
Suggests: python-psyco
Description: Educational tool for relational algebra (standalone module)
 Relational is primarily a tool to provide a workspace for experimenting with
 relational algebra, an offshoot of first-order logic.
 .
 This package provides a standalone Python module that can be used for
 executing relational queries.

Package: relational
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-relational (>= ${binary:Version}), python-qt4
Description: Educational tool for relational algebra (graphical user interface)
 Relational is primarily a tool to provide a workspace for experimenting with
 relational algebra, an offshoot of first-order logic.
 .
 This package provides a graphical user interface that can be used for 
 executing relational queries.

Package: relational-cli
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-relational (>= ${binary:Version})
Description: Educational tool for relational algebra (command line interface)
 Relational is primarily a tool to provide a workspace for experimenting with
 relational algebra, an offshoot of first-order logic.
 .
 This package provides a command line interface that can be used for 
 executing relational queries.

=== debian/rules ===
#!/usr/bin/make -f
SHELL=sh -e

%:
	dh $@

clean:
	rm -rf build *.egg-info
	dh $@

override_dh_auto_clean:
override_dh_auto_build:
override_dh_auto_install:
	for pkg in relational-cli python-relational relational; do \
	  python debian/$${pkg}.setup.py install --root=$(CURDIR)/debian/$${pkg}; \
	  rm -rf build; \
	done

override_dh_install:
	install -D relational_gui.py debian/relational/usr/bin/relational
	install -D relational_cli.py debian/relational-cli/usr/bin/relational-cli
	dh_install

## relational 1.0

=== Makefile ===
default:
	echo "sorry, no default action"

uninstall:
	rm -rf /opt/relational
	rm -f /usr/local/bin/relational
	rm -f /usr/share/applications/relational.desktop

install:
	mkdir /opt/relational
	cp -R relational relational_gui /opt/relational/
	cp relational_gui.py /opt/relational
	chmod -R 555 /opt/relational/
	echo "#!/bin/bash" > /usr/local/bin/relational
	echo "/opt/relational/relational_gui.py" >> /usr/local/bin/relational
	chmod 555 /usr/local/bin/relational
	cp relational.desktop /usr/share/applications/
	chmod a+r /usr/share/applications/relational.desktop

dist: clean
	rm -rf /tmp/relational/
	rm -rf /tmp/relational-*
	mkdir /tmp/relational/
	cp -R * /tmp/relational/
	rm -rf /tmp/relational/windows
	rm -rf /tmp/relational/samples/.svn/
	rm -rf /tmp/relational/setup/.svn/
	rm -rf /tmp/relational/debscript/.svn/
	rm -rf /tmp/relational/mac/.svn/
	rm -rf /tmp/relational/relational/.svn/ 
	rm -rf /tmp/relational/relational_gui/.svn/
	rm -rf /tmp/relational/mac
	rm -rf /tmp/relational/debian/
	rm -rf /tmp/relational/relational_curses/.svn/
	rm -rf /tmp/relational/relational_readline/.svn/
	rm -rf /tmp/relational/test/.svn
	
	#mv /tmp/relational /tmp/relational-`./relational_gui.py -v | grep Relational | cut -d" " -f2`
	#(cd /tmp; tar -zcf relational.tar.gz relational-*/)
	(cd /tmp; tar -zcf relational.tar.gz relational/)
	mv /tmp/relational.tar.gz ./relational_`./relational_gui.py -v | grep Relational | cut -d" " -f2`.tar.gz

clean:
	rm -rf *~ || echo ok
	rm -rf *.pyc *.pyo || echo ok
	rm -rf Relational.app || echo ok
	rm relational*.tar.gz || echo ok
	rm -rf relational_mac
	rm -rf data || echo ok
	rm -rf *tar.bz || echo ok
	rm -rf *.deb || echo ok
	rm -rf relational/*~ || echo ok
	rm -rf relational/*.pyc relational/*.pyo || echo ok
	rm -rf relational_gui/*~ || echo ok
	rm -rf relational_gui/*.pyc || echo ok
	rm -rf relational_gui/*.pyo || echo ok
	rm -rf relational_curses/*~ || echo ok
	rm -rf relational_curses/*.pyc || echo ok
	rm -rf relational_curses/*.pyo || echo ok
	rm -rf relational_readline/*~ || echo ok
	rm -rf relational_readline/*.pyc || echo ok
	rm -rf relational_readline/*.pyo || echo ok
	rm -rf setup/*~ || echo ok
	rm -rf setup/*.pyc || echo ok
	rm -rf setup/*.pyo || echo ok
	rm -rf relational_mac
	rm -rf test/*~
mac: app
	mkdir relational_mac || echo Exists
	mv Relational.app relational_mac
	mkdir relational_mac/samples || echo Exists
	cp samples/*csv relational_mac/samples
	tar -zcvvf relational_`./relational_gui.py -v | grep Relational | cut -d" " -f2`.tar.gz relational_mac/
	rm -rf relational_mac
app:
	mkdir -p Relational.app/Contents/Resources || echo Exists
	cp *py Relational.app/Contents/Resources
	mkdir -p Relational.app/Contents/Resources/relational || echo Exists
	cp  relational/*py Relational.app/Contents/Resources/relational
	mkdir -p Relational.app/Contents/Resources/relational_gui || echo Exists
	cp relational_gui/*py Relational.app/Contents/Resources/relational_gui
	cp mac/Info.plist mac/PkgInfo Relational.app/Contents
	mkdir -p Relational.app/Contents/MacOS || echo Exists
	cp mac/relational_gui mac/Python Relational.app/Contents/MacOS
	cp mac/PythonApplet.icns mac/__argvemulator_relational_gui.py Relational.app/Contents/Resources/

debian:    
	dpkg-buildpackage

=== debian/changelog ===
relational (1.0-1) unstable; urgency=low

  * New upstream release
  * Merged relational-cli upstream, dropped debian patch
  * Using relational_gui.py for both relational and relational-cli packages
  * Merged various setup.py upstream

 -- Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>  Tue, 22 Mar 2011 17:11:28 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,6 @@
 Architecture: all
 Section: python
 Depends: ${misc:Depends}, ${python:Depends}
-Suggests: python-psyco
 Description: Educational tool for relational algebra (standalone module)
  Relational is primarily a tool to provide a workspace for experimenting with
  relational algebra, an offshoot of first-order logic.

## relational 1.1

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,14 @@
 default:
 	echo "sorry, no default action"
+
+gui:
+	pyside-uic relational_pyside/survey.ui > relational_pyside/survey.py 
+	pyside-uic relational_pyside/maingui.ui > relational_pyside/maingui.py
+	pyside-uic relational_pyside/rel_edit.ui > relational_pyside/rel_edit.py
+	pyuic4 relational_gui/survey.ui > relational_gui/survey.py 
+	pyuic4 relational_gui/maingui.ui > relational_gui/maingui.py
+	pyuic4 relational_gui/rel_edit.ui > relational_gui/rel_edit.py
+	
 
 uninstall:
 	rm -rf /opt/relational
@@ -29,6 +38,7 @@
 	rm -rf /tmp/relational/mac/.svn/
 	rm -rf /tmp/relational/relational/.svn/ 
 	rm -rf /tmp/relational/relational_gui/.svn/
+	rm -rf /tmp/relational/relational_pyside/.svn/
 	rm -rf /tmp/relational/mac
 	rm -rf /tmp/relational/debian/
 	rm -rf /tmp/relational/relational_curses/.svn/
@@ -38,7 +48,7 @@
 	#mv /tmp/relational /tmp/relational-`./relational_gui.py -v | grep Relational | cut -d" " -f2`
 	#(cd /tmp; tar -zcf relational.tar.gz relational-*/)
 	(cd /tmp; tar -zcf relational.tar.gz relational/)
-	mv /tmp/relational.tar.gz ./relational_`./relational_gui.py -v | grep Relational | cut -d" " -f2`.tar.gz
+	mv /tmp/relational.tar.gz ./relational_`./relational_gui.py -v | grep Relational | cut -d" " -f2`.orig.tar.gz
 
 clean:
 	rm -rf *~ || echo ok

=== debian/changelog ===
relational (1.1-1) unstable; urgency=low

  * New upstream release
  * Can use either PyQt or PySide 
  * python-relational now uses unicode instead of utf-8 encoded strings

 -- Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>  Sat, 22 Oct 2011 15:29:02 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>
 Build-Depends: debhelper (>= 7.0.50~), python, python-support
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://galileo.dmi.unict.it/wiki/relational/doku.php
 
 Package: python-relational
@@ -19,13 +19,13 @@
 
 Package: relational
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, python-relational (>= ${binary:Version}), python-qt4
+Depends: ${misc:Depends}, ${python:Depends}, python-relational (>= ${binary:Version}), python-qt4 | python-pyside.qtgui, python-qt4 | python-pyside.qtcore, python-qt4 | python-pyside.qtwebkit
 Description: Educational tool for relational algebra (graphical user interface)
  Relational is primarily a tool to provide a workspace for experimenting with
  relational algebra, an offshoot of first-order logic.
  .
- This package provides a graphical user interface that can be used for 
- executing relational queries.
+ This package provides a graphical user interface that can be used to
+ execute relational queries.
 
 Package: relational-cli
 Architecture: all
@@ -34,5 +34,5 @@
  Relational is primarily a tool to provide a workspace for experimenting with
  relational algebra, an offshoot of first-order logic.
  .
- This package provides a command line interface that can be used for 
- executing relational queries.
+ This package provides a command line interface that can be used to
+ execute relational queries.

=== debian/rules ===
#!/usr/bin/make -f
SHELL=sh -e

%:
	dh $@

clean:
	rm -rf build *.egg-info
	dh $@

override_dh_auto_clean:
override_dh_auto_build:
override_dh_auto_install:
	for pkg in relational-cli python-relational relational; do \
	  python setup/$${pkg}.setup.py install --root=$(CURDIR)/debian/$${pkg}; \
	  rm -rf build; \
	done

override_dh_install:
	install -D relational_gui.py debian/relational/usr/bin/relational
	install -D relational_gui.py debian/relational-cli/usr/bin/relational-cli
	dh_install

=== debian/watch ===
version=3
opts=filenamemangle=s/.*:// http://galileo.dmi.unict.it/wiki/relational/doku.php?id=download /wiki/[^:]*:relational_([^(_mac)]*).tar.gz

## relational 1.2

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,13 @@
 default:
 	echo "sorry, no default action"
+	
+gui: pyqt pyside
 
-gui:
+pyside:
 	pyside-uic relational_pyside/survey.ui > relational_pyside/survey.py 
 	pyside-uic relational_pyside/maingui.ui > relational_pyside/maingui.py
 	pyside-uic relational_pyside/rel_edit.ui > relational_pyside/rel_edit.py
+pyqt:
 	pyuic4 relational_gui/survey.ui > relational_gui/survey.py 
 	pyuic4 relational_gui/maingui.ui > relational_gui/maingui.py
 	pyuic4 relational_gui/rel_edit.ui > relational_gui/rel_edit.py
@@ -75,24 +78,6 @@
 	rm -rf setup/*.pyo || echo ok
 	rm -rf relational_mac
 	rm -rf test/*~
-mac: app
-	mkdir relational_mac || echo Exists
-	mv Relational.app relational_mac
-	mkdir relational_mac/samples || echo Exists
-	cp samples/*csv relational_mac/samples
-	tar -zcvvf relational_`./relational_gui.py -v | grep Relational | cut -d" " -f2`.tar.gz relational_mac/
-	rm -rf relational_mac
-app:
-	mkdir -p Relational.app/Contents/Resources || echo Exists
-	cp *py Relational.app/Contents/Resources
-	mkdir -p Relational.app/Contents/Resources/relational || echo Exists
-	cp  relational/*py Relational.app/Contents/Resources/relational
-	mkdir -p Relational.app/Contents/Resources/relational_gui || echo Exists
-	cp relational_gui/*py Relational.app/Contents/Resources/relational_gui
-	cp mac/Info.plist mac/PkgInfo Relational.app/Contents
-	mkdir -p Relational.app/Contents/MacOS || echo Exists
-	cp mac/relational_gui mac/Python Relational.app/Contents/MacOS
-	cp mac/PythonApplet.icns mac/__argvemulator_relational_gui.py Relational.app/Contents/Resources/
 
 debian:    
 	dpkg-buildpackage

=== debian/changelog ===
relational (1.2-2) unstable; urgency=medium

  * Fix problem in relational-cli that made it crash when exceptions
    were raised

 -- Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>  Sat, 11 Jan 2014 12:28:38 +0100

relational (1.2-1) unstable; urgency=medium

  * New upstream release
  * Point to new upstream location
  * Can only use PyQt
  * Run tests before packaging

 -- Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>  Fri, 27 Dec 2013 00:35:44 +0100

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: math
 Priority: optional
 Maintainer: Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>
-Build-Depends: debhelper (>= 7.0.50~), python, python-support
-Standards-Version: 3.9.2
-Homepage: http://galileo.dmi.unict.it/wiki/relational/doku.php
+Build-Depends: debhelper (>= 7.0.50~), python, python-support, python-xtermcolor
+Standards-Version: 3.9.5
+Homepage: https://github.com/ltworf/relational/
 
 Package: python-relational
 Architecture: all
@@ -19,7 +19,7 @@
 
 Package: relational
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, python-relational (>= ${binary:Version}), python-qt4 | python-pyside.qtgui, python-qt4 | python-pyside.qtcore, python-qt4 | python-pyside.qtwebkit
+Depends: ${misc:Depends}, ${python:Depends}, python-relational (>= ${binary:Version}), python-qt4
 Description: Educational tool for relational algebra (graphical user interface)
  Relational is primarily a tool to provide a workspace for experimenting with
  relational algebra, an offshoot of first-order logic.
@@ -29,7 +29,8 @@
 
 Package: relational-cli
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, python-relational (>= ${binary:Version})
+Depends: ${misc:Depends}, ${python:Depends}, python-relational (>= ${binary:Version}),
+ python-xtermcolor
 Description: Educational tool for relational algebra (command line interface)
  Relational is primarily a tool to provide a workspace for experimenting with
  relational algebra, an offshoot of first-order logic.

=== debian/rules ===
--- 
+++ 
@@ -2,13 +2,13 @@
 SHELL=sh -e
 
 %:
+	./driver.py
 	dh $@
 
 clean:
 	rm -rf build *.egg-info
 	dh $@
 
-override_dh_auto_clean:
 override_dh_auto_build:
 override_dh_auto_install:
 	for pkg in relational-cli python-relational relational; do \

## relational 2.0

=== Makefile ===
default:
	echo "sorry, no default action"

gui: pyqt

pyqt:
	pyuic5 relational_gui/survey.ui > relational_gui/survey.py
	pyuic5 relational_gui/maingui.ui > relational_gui/maingui.py
	pyuic5 relational_gui/rel_edit.ui > relational_gui/rel_edit.py

uninstall:
	rm -rf /opt/relational
	rm -f /usr/local/bin/relational
	rm -f /usr/share/applications/relational.desktop

install:
	mkdir /opt/relational
	cp -R relational relational_gui /opt/relational/
	cp relational_gui.py /opt/relational
	chmod -R 555 /opt/relational/
	echo "#!/bin/bash" > /usr/local/bin/relational
	echo "/opt/relational/relational_gui.py" >> /usr/local/bin/relational
	chmod 555 /usr/local/bin/relational
	cp relational.desktop /usr/share/applications/
	chmod a+r /usr/share/applications/relational.desktop

dist: clean
	rm -rf /tmp/relational/
	rm -rf /tmp/relational-*
	mkdir /tmp/relational/
	cp -R * /tmp/relational/
	rm -rf /tmp/relational/windows
	rm -rf /tmp/relational/samples/.svn/
	rm -rf /tmp/relational/setup/.svn/
	rm -rf /tmp/relational/debscript/.svn/
	rm -rf /tmp/relational/mac/.svn/
	rm -rf /tmp/relational/relational/.svn/
	rm -rf /tmp/relational/relational_gui/.svn/
	rm -rf /tmp/relational/relational_pyside/.svn/
	rm -rf /tmp/relational/mac
	rm -rf /tmp/relational/debian/
	rm -rf /tmp/relational/relational_curses/.svn/
	rm -rf /tmp/relational/relational_readline/.svn/
	rm -rf /tmp/relational/test/.svn

	#mv /tmp/relational /tmp/relational-`./relational_gui.py -v | grep Relational | cut -d" " -f2`
	#(cd /tmp; tar -zcf relational.tar.gz relational-*/)
	(cd /tmp; tar -zcf relational.tar.gz relational/)
	mv /tmp/relational.tar.gz ./relational_`./relational_gui.py -v | grep Relational | cut -d" " -f2`.orig.tar.gz

clean:
	rm -rf `find -name "*~"` || echo ok
	rm -rf `find -name "*pyc"` || echo ok
	rm -rf `find -name "*pyo"` || echo ok
	rm -rf Relational.app || echo ok
	rm relational*.tar.gz || echo ok
	rm -rf relational_mac
	rm -rf data || echo ok
	rm -rf *tar.bz || echo ok
	rm -rf *.deb || echo ok
	rm -rf relational_mac

debian:
	dpkg-buildpackage

=== debian/changelog ===
relational (2.0-1) unstable; urgency=medium

  * New upstream release
  * Now uses Python3
  * Now uses PyQt5
  * Bump standards version
  * Recommends python3-pyqt5.qtwebkit to open the documentation from the UI but
    it is not a necessity
  * Switch to dh-python (Closes: #786263)

 -- Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>  Mon, 01 Jun 2015 09:40:09 +0200

=== debian/control ===
Source: relational
Section: math
Priority: optional
Maintainer: Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>
Build-Depends: debhelper (>= 9), python3, dh-python, python3-xtermcolor
Standards-Version: 3.9.6
X-Python3-Version: 3.4
Homepage: http://ltworf.github.io/relational/

Package: python3-relational
Architecture: all
Section: python
Depends: ${misc:Depends}, ${python3:Depends}
Description: Educational tool for relational algebra (standalone module)
 Relational is primarily a tool to provide a workspace for experimenting with
 relational algebra, an offshoot of first-order logic.
 .
 This package provides a standalone Python module that can be used for
 executing relational queries.

Package: relational
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, python3-relational (>= ${binary:Version}), python3-pyqt5
Recommends: python3-pyqt5.qtwebkit
Description: Educational tool for relational algebra (graphical user interface)
 Relational is primarily a tool to provide a workspace for experimenting with
 relational algebra, an offshoot of first-order logic.
 .
 This package provides a graphical user interface that can be used to
 execute relational queries.

Package: relational-cli
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, python3-relational (>= ${binary:Version}),
 python3-xtermcolor
Description: Educational tool for relational algebra (command line interface)
 Relational is primarily a tool to provide a workspace for experimenting with
 relational algebra, an offshoot of first-order logic.
 .
 This package provides a command line interface that can be used to
 execute relational queries.

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 %:
 	./driver.py
-	dh $@
+	dh $@ --with python3
 
 clean:
 	rm -rf build *.egg-info
@@ -11,8 +11,8 @@
 
 override_dh_auto_build:
 override_dh_auto_install:
-	for pkg in relational-cli python-relational relational; do \
-	  python setup/$${pkg}.setup.py install --root=$(CURDIR)/debian/$${pkg}; \
+	for pkg in relational-cli python3-relational relational; do \
+	  python3 setup/$${pkg}.setup.py install --root=$(CURDIR)/debian/$${pkg}; \
 	  rm -rf build; \
 	done

## relational 2.2

=== Makefile ===
gui: pyqt

pyqt:
	pyuic5 relational_gui/survey.ui > relational_gui/survey.py
	pyuic5 relational_gui/maingui.ui > relational_gui/maingui.py
	pyuic5 relational_gui/rel_edit.ui > relational_gui/rel_edit.py
	pyrcc5 relational_gui/resources.qrc > relational_gui/resources.py

dist: clean
	rm -rf /tmp/relational/
	rm -rf /tmp/relational-*
	mkdir /tmp/relational/
	cp -R * /tmp/relational/
	rm -rf /tmp/relational/windows
	rm -rf /tmp/relational/debian/

	#mv /tmp/relational /tmp/relational-`./relational_gui.py -v | grep Relational | cut -d" " -f2`
	#(cd /tmp; tar -zcf relational.tar.gz relational-*/)
	(cd /tmp; tar -zcf relational.tar.gz relational/)
	mv /tmp/relational.tar.gz ./relational_`./relational_gui.py -v | grep Relational | cut -d" " -f2`.orig.tar.gz

clean:
	rm -rf `find -name "*~"`
	rm -rf `find -name "*pyc"`
	rm -rf `find -name "*pyo"`
	rm -rf relational*.tar.gz
	rm -rf data
	rm -rf *tar.bz
	rm -rf *.deb
	rm -f relational_gui/survey.py
	rm -f relational_gui/maingui.py
	rm -f relational_gui/rel_edit.py
	rm -f relational_gui/resources.py

install-relational-cli:
	python3 setup/relational-cli.setup.py install --root=$${DESTDIR:-/};
	rm -rf build;
	install -D relational_gui.py $${DESTDIR:-/}/usr/bin/relational-cli
	install -D relational-cli.1 $${DESTDIR:-/}/usr/share/man/man1/relational-cli.1

install-python3-relational:
	python3 setup/python3-relational.setup.py install --root=$${DESTDIR:-/};
	rm -rf build;

install-relational:
	python3 setup/relational.setup.py install --root=$${DESTDIR:-/};
	rm -rf build;
	install -D relational_gui.py $${DESTDIR:-/}/usr/bin/relational
	install -m0644 -D relational.desktop $${DESTDIR:-/}/usr/share/applications/relational.desktop
	install -m0644 -D relational_gui/resources/relational.png $${DESTDIR:-/}/usr/share/pixmaps/relational.png
	install -D relational.1 $${DESTDIR:-/}/usr/share/man/man1/relational.1

install: install-relational-cli install_module_gui install-relational

=== debian/changelog ===
relational (2.2-1) unstable; urgency=medium

  * Fixed debian/rules to run testsuite just once
  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>  Mon, 04 Jan 2016 16:54:17 +0100

relational (2.1-2) unstable; urgency=low

  * Change X-Python3-Version to allow Python 3.5 (Closes: #802781)

 -- Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>  Fri, 23 Oct 2015 17:04:25 +0200

relational (2.1-1) unstable; urgency=medium

  * New upstream release
  * Ships icon
  * Dropped patch utf8_for_tests

 -- Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>  Fri, 11 Sep 2015 14:02:18 +0200

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: math
 Priority: optional
 Maintainer: Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>
-Build-Depends: debhelper (>= 9), python3, dh-python, python3-xtermcolor
+Build-Depends: debhelper (>= 9), python3, dh-python, python3-xtermcolor, pyqt5-dev-tools
 Standards-Version: 3.9.6
-X-Python3-Version: 3.4
+X-Python3-Version: >= 3.4
 Homepage: http://ltworf.github.io/relational/
 
 Package: python3-relational

=== debian/rules ===
#!/usr/bin/make -f
SHELL=sh -e

%:
	dh $@ --with python3

override_dh_auto_test:
	./driver.py

clean:
	rm -rf build *.egg-info
	dh $@

override_dh_auto_install:
	DESTDIR=debian/relational-cli make install-relational-cli
	DESTDIR=debian/python3-relational make install-python3-relational
	DESTDIR=debian/relational make install-relational

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/relational-$1\.tar\.gz/ https://github.com/ltworf/relational/tags .*/v?(\d\S*)\.tar\.gz

## relational 2.5

=== Makefile ===
--- 
+++ 
@@ -5,6 +5,8 @@
 	pyuic5 relational_gui/maingui.ui > relational_gui/maingui.py
 	pyuic5 relational_gui/rel_edit.ui > relational_gui/rel_edit.py
 	pyrcc5 relational_gui/resources.qrc > relational_gui/resources.py
+	sed -i 's/QtWidgets.QPlainTextEdit/editor.Editor/g' relational_gui/maingui.py
+	echo 'from . import editor' >> relational_gui/maingui.py
 
 dist: clean
 	rm -rf /tmp/relational/
@@ -19,11 +21,15 @@
 	(cd /tmp; tar -zcf relational.tar.gz relational/)
 	mv /tmp/relational.tar.gz ./relational_`./relational_gui.py -v | grep Relational | cut -d" " -f2`.orig.tar.gz
 
+release: dist
+	gpg --sign --armor --detach-sign ./relational_`./relational_gui.py -v | grep Relational | cut -d" " -f2`.orig.tar.gz
+
 clean:
 	rm -rf `find -name "*~"`
 	rm -rf `find -name "*pyc"`
 	rm -rf `find -name "*pyo"`
 	rm -rf relational*.tar.gz
+	rm -rf relational*.tar.gz.asc
 	rm -rf data
 	rm -rf *tar.bz
 	rm -rf *.deb
@@ -50,4 +56,4 @@
 	install -m0644 -D relational_gui/resources/relational.png $${DESTDIR:-/}/usr/share/pixmaps/relational.png
 	install -D relational.1 $${DESTDIR:-/}/usr/share/man/man1/relational.1
 
-install: install-relational-cli install_module_gui install-relational
+install: install-relational-cli install-python3-relational install-relational

=== debian/changelog ===
relational (2.5-2) unstable; urgency=high

  * Add python3-distutils to build-dep (Closes: #896785)

 -- Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>  Wed, 02 May 2018 22:09:48 +0200

relational (2.5-1) unstable; urgency=medium

  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>  Sun, 21 Aug 2016 11:49:38 +0200

relational (2.4-1) unstable; urgency=medium

  * New upstream release.
  * Bumped Standards-Version to 3.9.8.
  * Added upstream public key.
  * Watch file can check for signature

 -- Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>  Thu, 31 Mar 2016 20:15:41 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,9 @@
 Section: math
 Priority: optional
 Maintainer: Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>
-Build-Depends: debhelper (>= 9), python3, dh-python, python3-xtermcolor, pyqt5-dev-tools
-Standards-Version: 3.9.6
+Build-Depends: debhelper (>= 9), python3, dh-python, python3-xtermcolor, pyqt5-dev-tools,
+ python3-distutils
+Standards-Version: 3.9.8
 X-Python3-Version: >= 3.4
 Homepage: http://ltworf.github.io/relational/

=== debian/watch ===
version=3

opts="pgpsigurlmangle=s/$/.asc/" \
https://github.com/ltworf/relational/releases \
/download/(?:\d[\d.]*)/@PACKAGE@_(\d[\d.]*)(?:\.orig)?@ARCHIVE_EXT@

## relational 3.0

=== Makefile ===
.PHONY: gui
gui: relational_gui/survey.py relational_gui/maingui.py relational_gui/rel_edit.py relational_gui/resources.py

relational_gui/survey.py:
	pyuic5 relational_gui/survey.ui > relational_gui/survey.py

relational_gui/maingui.py:
	pyuic5 relational_gui/maingui.ui > relational_gui/maingui.py
	sed -i 's/QtWidgets.QPlainTextEdit/editor.Editor/g' relational_gui/maingui.py
	echo 'from . import editor' >> relational_gui/maingui.py

relational_gui/rel_edit.py:
	pyuic5 relational_gui/rel_edit.ui > relational_gui/rel_edit.py

relational_gui/resources.py:
	pyrcc5 relational_gui/resources.qrc > relational_gui/resources.py

.PHONY: mypy
mypy:
	mypy relational relational_readline

.PHONY: test
test:
	./driver.py

deb-pkg: dist
	mv relational_*.orig.tar.gz* /tmp
	cd /tmp; tar -xf relational_*.orig.tar.gz
	cp -r debian /tmp/relational/
	cd /tmp/relational/; dpkg-buildpackage --changes-option=-S
	mkdir deb-pkg
	mv /tmp/relational* /tmp/python3-relational_*.deb deb-pkg
	$(RM) -r /tmp/relational

.PHONY: dist
dist: clean
	rm -rf /tmp/relational/
	rm -rf /tmp/relational-*
	mkdir /tmp/relational/
	cp -R * /tmp/relational/
	rm -rf /tmp/relational/windows
	rm -rf /tmp/relational/debian/

	#mv /tmp/relational /tmp/relational-`./relational.py -v | grep Relational | cut -d" " -f2`
	#(cd /tmp; tar -zcf relational.tar.gz relational-*/)
	(cd /tmp; tar -zcf relational.tar.gz relational/)
	mv /tmp/relational.tar.gz ./relational_`./relational.py -v | grep Relational | cut -d" " -f2`.orig.tar.gz
	gpg --sign --armor --detach-sign ./relational_`./relational.py -v | grep Relational | cut -d" " -f2`.orig.tar.gz

.PHONY: clean
clean:
	$(RM) -r deb-pkg
	rm -rf `find -name "*~"`
	rm -rf `find -name "*pyc"`
	rm -rf `find -name "*pyo"`
	rm -rf relational*.tar.gz
	rm -rf relational*.tar.gz.asc
	rm -rf data
	rm -rf *tar.bz
	rm -rf *.deb
	rm -f relational_gui/survey.py
	rm -f relational_gui/maingui.py
	rm -f relational_gui/rel_edit.py
	rm -f relational_gui/resources.py

.PHONY: install-relational-cli
install-relational-cli:
	python3 setup/relational-cli.setup.py install --root=$${DESTDIR:-/};
	rm -rf build;
	install -D relational.py $${DESTDIR:-/}/usr/bin/relational-cli
	install -D relational-cli.1 $${DESTDIR:-/}/usr/share/man/man1/relational-cli.1

.PHONY: install-python3-relational
install-python3-relational:
	python3 setup/python3-relational.setup.py install --root=$${DESTDIR:-/};
	rm -rf build;

.PHONY: install-relational
install-relational:
	python3 setup/relational.setup.py install --root=$${DESTDIR:-/};
	rm -rf build;
	install -D relational.py $${DESTDIR:-/}/usr/bin/relational
	install -m0644 -D relational.desktop $${DESTDIR:-/}/usr/share/applications/relational.desktop
	install -m0644 -D relational_gui/resources/relational.png $${DESTDIR:-/}/usr/share/pixmaps/relational.png
	install -D relational.1 $${DESTDIR:-/}/usr/share/man/man1/relational.1

.PHONY: install
install: install-relational-cli install-python3-relational install-relational

=== debian/changelog ===
relational (3.0-1) unstable; urgency=low

  * New upstream release
  * Bump compat to 13
  * Rules-Requires-Root: no
  * Bump X-Python3-Version to 3.8
  * Use https for URLs
  * Require library and client versions to match exactly
  * Standards-Version: 4.5.0

 -- Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>  Thu, 03 Sep 2020 11:50:39 +0200

=== debian/control ===
Source: relational
Section: math
Priority: optional
Maintainer: Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>
Build-Depends: debhelper-compat (= 13), debhelper (>= 13), python3, dh-python, python3-xtermcolor, pyqt5-dev-tools,
 python3-distutils, python3-typedload
Standards-Version: 4.5.0
X-Python3-Version: >= 3.8
Homepage: https://ltworf.github.io/relational/
Rules-Requires-Root: no

Package: python3-relational
Architecture: all
Section: python
Depends: ${misc:Depends}, ${python3:Depends}, python3-typedload
Description: Educational tool for relational algebra (standalone module)
 Relational is primarily a tool to provide a workspace for experimenting with
 relational algebra, an offshoot of first-order logic.
 .
 This package provides a standalone Python module that can be used for
 executing relational queries.

Package: relational
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, python3-relational (= ${binary:Version}), python3-pyqt5
Description: Educational tool for relational algebra (graphical user interface)
 Relational is primarily a tool to provide a workspace for experimenting with
 relational algebra, an offshoot of first-order logic.
 .
 This package provides a graphical user interface that can be used to
 execute relational queries.

Package: relational-cli
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, python3-relational (= ${binary:Version}),
 python3-xtermcolor
Description: Educational tool for relational algebra (command line interface)
 Relational is primarily a tool to provide a workspace for experimenting with
 relational algebra, an offshoot of first-order logic.
 .
 This package provides a command line interface that can be used to
 execute relational queries.

=== debian/rules ===
--- 
+++ 
@@ -3,9 +3,6 @@
 
 %:
 	dh $@ --with python3
-
-override_dh_auto_test:
-	./driver.py
 
 clean:
 	rm -rf build *.egg-info

## relational 3.1

=== Makefile ===
.PHONY: all
all: gui translations

.PHONY: gui
gui: relational_gui/survey.py relational_gui/maingui.py relational_gui/rel_edit.py relational_gui/resources.py

relational_gui/maingui.py relational_gui/survey.py relational_gui/rel_edit.py:
	# Create .py file
	pyuic5 $(basename $@).ui > $@
	# Use my custom editor class
	sed -i 's/QtWidgets.QPlainTextEdit/editor.Editor/g' $@
	echo 'from . import editor' >> $@
	# Use gettext instead of Qt translations
	echo 'from gettext import gettext as _' >> $@
	sed -i \
		-e 's/_translate("MainWindow", /_(/g' \
		-e 's/_translate("Dialog", /_(/g' \
		-e 's/_translate("Form", /_(/g' \
		$@

relational_gui/resources.py:
	pyrcc5 relational_gui/resources.qrc > relational_gui/resources.py

.PHONY: mypy
mypy:
	mypy relational relational_readline

.PHONY: test
test:
	./driver.py

deb-pkg: dist
	mv relational_*.orig.tar.gz* /tmp
	cd /tmp; tar -xf relational_*.orig.tar.gz
	cp -r debian /tmp/relational/
	cd /tmp/relational/; dpkg-buildpackage --changes-option=-S
	mkdir deb-pkg
	mv /tmp/relational* /tmp/python3-relational_*.deb deb-pkg
	$(RM) -r /tmp/relational
	lintian --pedantic -E --color auto -i -I deb-pkg/*changes

.PHONY: dist
dist: clean
	$(RM) -r /tmp/relational/
	$(RM) -r /tmp/relational-*
	mkdir /tmp/relational/
	cp -R * /tmp/relational/
	$(RM) -r /tmp/relational/windows
	$(RM) -r /tmp/relational/debian/

	#mv /tmp/relational /tmp/relational-`head -1 CHANGELOG`
	#(cd /tmp; tar -zcf relational.tar.gz relational-*/)
	(cd /tmp; tar -zcf relational.tar.gz relational/)
	mv /tmp/relational.tar.gz ./relational_`head -1 CHANGELOG`.orig.tar.gz
	gpg --sign --armor --detach-sign ./relational_`head -1 CHANGELOG`.orig.tar.gz

.PHONY: clean
clean:
	$(RM) -r deb-pkg
	$(RM) -r `find -name "*~"`
	$(RM) -r `find -name "*pyc"`
	$(RM) -r `find -name "*pyo"`
	$(RM) -r relational*.tar.gz
	$(RM) -r relational*.tar.gz.asc
	$(RM) -r data
	$(RM) -r *tar.bz
	$(RM) -r *.deb
	$(RM) relational_gui/survey.py
	$(RM) relational_gui/maingui.py
	$(RM) relational_gui/rel_edit.py
	$(RM) relational_gui/resources.py
	$(RM) po/*.mo
	$(RM) -r build
	$(RM) -r *.egg-info

.PHONY: install-relational-cli
install-relational-cli:
	python3 setup/relational-cli.setup.py install --root=$${DESTDIR:-/};
	$(RM) -r build;
	install -D relational.py $${DESTDIR:-/}/usr/bin/relational-cli
	install -D relational-cli.1 $${DESTDIR:-/}/usr/share/man/man1/relational-cli.1

.PHONY: install-python3-relational
install-python3-relational: install_translations
	python3 setup/python3-relational.setup.py install --root=$${DESTDIR:-/};
	$(RM) -r build;

.PHONY: install-relational
install-relational:
	python3 setup/relational.setup.py install --root=$${DESTDIR:-/};
	$(RM) -r build;
	install -D relational.py $${DESTDIR:-/}/usr/bin/relational
	install -m0644 -D relational.desktop $${DESTDIR:-/}/usr/share/applications/relational.desktop
	install -m0644 -D relational_gui/resources/relational.png $${DESTDIR:-/}/usr/share/pixmaps/relational.png
	install -D relational.1 $${DESTDIR:-/}/usr/share/man/man1/relational.1

.PHONY: install
install: install-relational-cli install-python3-relational install-relational

po/messages.pot: relational.py relational/*.py relational_readline/*.py relational_gui/*.py
	xgettext --from-code=utf-8 -L Python -j -o po/messages.pot --package-name=relational \
		relational.py \
		relational_readline/*.py \
		relational_gui/*.py \
		relational/*.py

po/it.po: po/messages.pot
	msgmerge --update $@ po/messages.pot

po/it.mo: po/it.po
	msgfmt po/it.po --output-file $@

.PHONY: translations
translations: po/it.mo

.PHONY: install_translations
install_translations:
	install -m644 -D po/it.mo $${DESTDIR:-/}/usr/share/locale/it/LC_MESSAGES/relational.mo

=== requirements.txt ===
typedload
pyqt5
xtermcolor

=== debian/changelog ===
relational (3.1-1) unstable; urgency=low

  * New upstream release
  * Fix debian/watch
  * Switch distutils to setuptools
  * Improved clean in the upstream makefile
  * Bump Standards-Version: 4.6.2

 -- Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>  Sat, 07 Oct 2023 09:16:09 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>
 Build-Depends: debhelper-compat (= 13), debhelper (>= 13), python3, dh-python, python3-xtermcolor, pyqt5-dev-tools,
- python3-distutils, python3-typedload
-Standards-Version: 4.5.0
+ python3-setuptools, python3-typedload
+Standards-Version: 4.6.2
 X-Python3-Version: >= 3.8
 Homepage: https://ltworf.github.io/relational/
 Rules-Requires-Root: no

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,6 @@
 	dh $@ --with python3
 
 clean:
-	rm -rf build *.egg-info
 	dh $@
 
 override_dh_auto_install:

=== debian/watch ===
version=4

opts=pgpmode=auto \
https://github.com/ltworf/relational/tags (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@
